package com.bonus.canteen.core.supermarket.mapper;


import com.bonus.canteen.core.supermarket.domain.SupermarketProduct;

import java.util.List;

/**
 * 商品Mapper接口
 * 
 * @author xsheng
 * @date 2025-04-05
 */
public interface SupermarketProductMapper {

    /**
     * 查询商品列表
     * 
     * @param productInfo 商品
     * @return 商品集合
     */
    public List<SupermarketProduct> selectSupermarketProductList(SupermarketProduct productInfo);

    public List<SupermarketProduct> selectNoSupermarketProductList(SupermarketProduct productInfo);
    /**
     * 新增商品
     * 
     * @param productInfo 商品
     * @return 结果
     */
    public int insertSupermarketProduct(SupermarketProduct productInfo);

    /**
     * 修改商品
     * 
     * @param productInfo 商品
     * @return 结果
     */
    public int updateSupermarketProduct(SupermarketProduct productInfo);

    public int updateSupermarketProductState(SupermarketProduct productInfo);
    /**
     * 删除商品
     * 
     * @param productId 商品主键
     * @return 结果
     */
    public int deleteSupermarketProductBySupermarketId(Long productId);

    /**
     * 批量删除商品
     * 
     * @param productIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSupermarketProductBySupermarketIds(String[] productIds);
}
